SELECT
    ta.kArtikel,
    TRIM(CONCAT(
      COALESCE(ta.cArtNr, ""), " ",
      COALESCE(ta.cHAN, ""), " ",
      COALESCE(ta.cName, ""), " ",
      COALESCE(ta.cKurzBeschreibung, ""), " ",
      COALESCE(ta.cBeschreibung, ""), " ",
      COALESCE(ta.cSuchbegriffe, ""), " ",
      COALESCE(th.cName, "")
    )) 'document'
  FROM tartikel ta
  LEFT JOIN thersteller th ON ta.kHersteller = th.kHersteller
        WHERE ta.kVaterArtikel = 0